diff --git a/web/pgadmin/tools/debugger/__init__.py b/web/pgadmin/tools/debugger/__init__.py
index a173c8e..d2a0e68 100644
--- a/web/pgadmin/tools/debugger/__init__.py
+++ b/web/pgadmin/tools/debugger/__init__.py
@@ -69,6 +69,68 @@ class DebuggerModule(PgAdminModule):
                              'will be opened in a new browser tab.')
         )
 
+        fields = [
+            {'name': 'control', 'type': 'checkbox',
+             'label': gettext('Ctrl')},
+            {'name': 'shift', 'type': 'checkbox', 'label': gettext('Shift')},
+            {'name': 'alt_option', 'type': 'checkbox',
+             'label': gettext('Alt / Option')},
+            {'name': 'key', 'type': 'keyCode', 'label': gettext('Key')}
+        ]
+
+        self.preference.register(
+            'keyboard_shortcuts',
+            '{0}_{1}'.format(self.name, 'step_over'),
+            gettext('Step over'),
+            'keyboardshortcut',
+            {
+                'control': True,
+                'shift': False,
+                'alt_option': True,
+                'key': {
+                    'key_code': 83,
+                    'char': 'S'
+                }
+             },
+            category_label=gettext('Keyboard shortcuts'),
+            fields=fields
+        )
+
+        self.preference.register(
+            'keyboard_shortcuts',
+            '{0}_{1}'.format(self.name, 'step_out'),
+            gettext('Step out'),
+            'keyboardshortcut',
+            {
+                'control': True,
+                'shift': True,
+                'alt_option': True,
+                'key': {
+                    'key_code': 79,
+                    'char': 'O'
+                }
+             },
+            category_label=gettext('Keyboard shortcuts'),
+            fields=fields
+        )
+
+        self.preference.register(
+            'keyboard_shortcuts',
+            '{0}_{1}'.format(self.name, 'step_in'),
+            gettext('Step in'),
+            'keyboardshortcut',
+            {
+                'control': True,
+                'shift': False,
+                'alt_option': True,
+                'key': {
+                    'key_code': 73,
+                    'char': 'I'
+                }
+             },
+            category_label=gettext('Keyboard shortcuts'),
+            fields=fields
+        )
 
     def get_exposed_url_endpoints(self):
         """
